package org.springblade.enterprise.feign;

import org.springblade.enterprise.entity.Staff;
import org.springblade.enterprise.vo.StaffVO;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public class StaffClientFallback implements IStaffClient {
	@Override
	public Staff getById(Long id) {
		return null;
	}

	/**
         * 详情
         */
        @Override
        public StaffVO detail(Staff staff) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<StaffVO> list(Staff staff) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Staff staff) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Staff staff) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Staff staff) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public Integer count(String tenantId) {
		return null;
	}

    @Override
    public Integer staffCount(Staff staff) {
        return 0;
    }

    @Override
    public Integer yxfCount(List<Long> ids) {
        return 0;
    }

}
